summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorM S Vishwanath Bhat <vishwanath@gluster.com>2011-12-26 17:33:21 +0530
committerM S Vishwanath Bhat <vishwanath@gluster.com>2011-12-27 12:09:27 +0530
commit29d4c33252465be3eafcf595ae038bd92fa9fef2 (patch)
tree22443805c2fad38da4ecd0129567f32d36cf6646
parentf725320ff7b98d92d6a8bab904bf784eb4542ad3 (diff)
BUG:2616 -- validates the messages of profile stop/start
Change-Id: Ic4bfdb8c54636d18ece4e36d4023390375e6129e BUG: 2616 Signed-off-by: M S Vishwanath Bhat <vishwanath@gluster.com>
-rwxr-xr-xdvm/2616/testcase17
1 files changed, 17 insertions, 0 deletions
diff --git a/dvm/2616/testcase b/dvm/2616/testcase
new file mode 100755
index 0000000..a5f79b5
--- /dev/null
+++ b/dvm/2616/testcase
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume profile $global_bug_id start | grep "Starting volume profile on $global_bug_id has been successful" 2>/dev/null 1>/dev/null;
+temp=$?;
+
+$GLUSTERFSDIR/gluster volume profile $global_bug_id stop | grep "Stopping volume profile on $global_bug_id has been successful" 2>/dev/null 1>/dev/null;
+temp1=$?;
+
+if [ $temp -eq 0 ] && [ $temp1 -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi